Debian Bug report logs - #414087
dpkg: please add armel support (triplet patch)

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Wookey <wookey@aleph1.co.uk>

Date: Fri, 9 Mar 2007 03:39:05 UTC

Severity: wishlist

Tags: patch

Found in version dpkg/1.13.25

Fixed in version dpkg/1.14.0

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#414087; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@aleph1.co.uk>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@aleph1.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: please add armel support (triplet patch)
Date: Fri, 09 Mar 2007 03:34:44 +0000
[Message part 1 (text/plain, inline)]
Package: dpkg
Version: 1.13.25
Severity: wishlist
Tags: patch


Guillem Jover added triplet support to dpkg 1.13.18 in order to properly
support the armel architecture (arm-linux-gnueabi in GNU-speak).

This is the orginal message/patch
http://lists.debian.org/debian-embedded/2006/05/msg00032.html

I have rebased this for 1.13.25 in case it helps.
tested patch attached.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages dpkg depends on:
ii  coreutils                   5.97-5.3     The GNU core utilities
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries

dpkg recommends no packages.

-- no debconf information

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

[dpkg-1.13.25-armel.diff (text/plain, attachment)]

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wookey <wookey@aleph1.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 414087-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 414087-close@bugs.debian.org
Subject: Bug#414087: fixed in dpkg 1.14.0
Date: Tue, 08 May 2007 09:02:05 +0000
Source: dpkg
Source-Version: 1.14.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.0_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.0_all.deb
dpkg_1.14.0.dsc
  to pool/main/d/dpkg/dpkg_1.14.0.dsc
dpkg_1.14.0.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.0.tar.gz
dpkg_1.14.0_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.0_i386.deb
dselect_1.14.0_i386.deb
  to pool/main/d/dpkg/dselect_1.14.0_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 414087@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 08 May 2007 11:11:50 +0300
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source i386 all
Version: 1.14.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 9085 31634 107449 162348 179913 314462 345594 367712 374645 377855 379320 383438 390914 390916 393069 393924 396884 397479 405668 409566 410605 414087 414794 415230 415320 416167 416810 418154 418528 421290 422404
Changes: 
 dpkg (1.14.0) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Make the copyright information in dpkg-deb.1 and dpkg-split.1 match the
     one in the source. Thanks to Nicolas François. Closes: #379320
   * Allow dpkg-buildpackage to properly override '-b' when passed after '-B'.
     Thanks to Julian Gilbey. Closes: #397479
   * Move retrieval of uid and gid information from controllib.pl into a
     function, so that scripts not needing it do not execute that code.
     Based on a patch by Riku Voipio. Closes: #396884
   * Do not bail out in dpkg when building without start-stop-daemon support,
     by checking if the macro value is true instead of it being defined.
     Thanks to Mark Rosenstand.
   * Make all perl scripts use strict and warnings, to ease catching errors.
   * Add a missing newline to a warning message in dpkg. Closes: #390914
     Thanks to Ian Jackson.
   * Fix typo in variable name in dpkg-source which was causing it to not
     create directories when extracting the diff. Closes: #374645
   * Fix up and down keystrokes in the dselect help message. Closes: #383438
     Thanks to Sven Joachim.
   * Convert 822-date to be a simple wrapper around 'date -R'. 822-date is
     now deprecated and should not be used anymore. It might be removed
     sometime in the future. Closes: #31634, #367712, #314462
     Thanks to Frank Lichtenheld.
   * Add '.gitignore' to the default dpkg-source -i regex. Closes: #409566
     Thanks to Julien Cristau.
   * Add '.hg' to the default dpkg-source -i regex. Closes: #414794
   * Use l10n-friendlier strings to describe dependencies. Closes: #390916
     Thanks to Ian Jackson.
   * Change priority for dpkg-dev from standard to optional to match the
     override.
   * Do not use a build-stamp in debian/rules.
   * Fix confusing bottom status lines in dselect, unifying them by removing
     the method or package name and capitalizing. Closes: #9085
   * Check proper error value returned by BZ2_bzerror. Closes: #410605
   * Exit with an error instead of an assert if a file name is too long when
     building a .deb package. Closes: #393069
   * Exit with an error instead of an assert if the number of conflictors is
     exceeded. Remove bogus comments. Closes: #377855
   * Fix regular expression special-casing Origin, Bugs and Maintainer fields
     which was making X[SBC]- fields containing such strings to propagate into
     the .deb control file unprocessed. Thanks to Colin Watson.
   * Add support for '--admindir' in dpkg-buildpackage, dpkg-checkbuilddeps
     and dpkg-shlibdeps. Closes: #162348
   * Cleaning and format unification of manual pages.
   * Make the override-file argument to dpkg-scanpackages optional.
   * Refactor compression filtering code.
   * Split override file information from dpkg-scanpackages.1 into
     deb-override.5 manual page.
   * Split dpkg-source.1 into independent man pages, namely deb-substvars.5,
     deb-shlibs.5, dpkg-buildpackage.1, dpkg-distaddfile.1, dpkg-genchanges.1,
     dpkg-gencontrol.1, dpkg-parsechangelog.1 and dpkg-shlibdeps.1.
   * Support building binary packages with the member data.tar.lzma compressed
     with lzma.
   * Require gettext 0.16.1.
   * Show the epoch (if present) when displaying package versions.
     Closes: #107449, #179913, #345594, #393924, #405668
     Based on a patch by Jeffrey W. Baker.
   * Switch from pseudo-tags to usertags, and update the documentation.
   * Fix typo in German dpkg man page. Closes: #416167
     Thanks to Martin Weis.
   * Properly sort Uploaders field in generated .dsc files.
   * Reorder a bit the fields in output files.
   * Speed up dpkg-shlibdeps by avoiding doing a dpkg-query for duped
     libraries. Thanks to Aaron M. Ucko. Closes: #421290
   * Generalize source architecture handling by abstracting it through the new
     Debian triplet and the new triplettable.
   * Add armel support to ostable and triplettable. Closes: #414087
 .
   [ Updated dpkg translations ]
   * Dutch (Bart Cornelis).
   * Estonian added (Ivar Smolin). Closes: #422404
   * French (Frédéric Bothamy).
   * Kurdish added (Erdal Ronahi). Closes: #418154
   * Marathi added (Priti Patil). Closes: #416810
   * Polish (Robert Luberda).
   * Romanian (Eddy Petri?or).
   * Simplified Chinese (Anthony Wong). Closes: #415320
   * Traditional Chinese (Anthony Wong). Closes: #415230
 .
   [ Updated man pages translations ]
   * German (German l10n team). Closes: #418528
   * Polish (Robert Luberda).
 .
   [ Updated dselect translations ]
   * Dutch (Bart Cornelis).
   * Polish (Robert Luberda).
Files: 
 f01351b70772613b929cc540d00956e5 851 admin required dpkg_1.14.0.dsc
 01704e19d668058d9db18fcb10a597a1 3846077 admin required dpkg_1.14.0.tar.gz
 8cbffc6e23ad7cedd9405b76f8457740 672350 admin required dpkg_1.14.0_i386.deb
 0e50bfd8016c8692fd036b82f7d08cd1 108632 admin required dselect_1.14.0_i386.deb
 46296b0f78a546c296f53fb10ad9673c 126806 utils optional dpkg-dev_1.14.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGQDb5uW9ciZ2SjJsRAqs0AKDWVbvSjjOqNlHUOEuiDi7lyoIQ1QCfYW7p
+uZIISUFk6/pUR/anA94p2w=
=AuQZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2007 08:27:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:02:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.